Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/07/2020 in all areas

  1. I think the viewport option will have to do. Come on Autodesk! If you can split a table and move it easily in Inventor It's not unthinkable to add the same functionality into Autocad!
    1 point
  2. I'd just show portions of the table in multiple layouts.
    1 point
  3. distance between two points or calc hypotenuse using diff n & diff e as the sides. As its a building I would assume coords are in mm otherwise
    1 point
  4. What should variable dfus be? It isn't being set to anything (setq dfus). If it is the length of the pline then use the top lisp below. If you want to set it use the bottom lisp. (defun c:lslope ( / slope obj len drop) ;(setq slope (getreal "\nEnter slope")) (setq slope 0.125) (setq obj (vlax-ename->vla-object (car (entsel "\nPick Pline ")))) (setq Len (vlax-get Obj 'Length)) (setq drop (+ (/ (* len slope) 12.0) 30)) (cond ( (<= len 180.0) (setq dia "4")) ( (<= len 700.0)(setq dia "6")) ( (<= len 1600.0)(setq dia "8")) ( (> len 1600.0) (alert "dfus is greater than 1600\nwill now exit") (vl-exit-with-error "")) ) (command "qleader" (getpoint "\nPick 1st leader point") (getpoint "\nPick end point") "" 0 (strcat dia (chr 34) " SANITARY SEWER INVERT" "\\P" " @ " (rtos drop 4) " BELOW FINISHED FLOOR 1/8 SLOPE " (rtos len 4) " DFUS") "" ) ) (defun c:lslope ( / slope obj len drop dfus dfust) ;(setq slope (getreal "\nEnter slope")) (setq slope 0.125) (setq obj (vlax-ename->vla-object (car (entsel "\nPick Pline ")))) (setq Len (vlax-get Obj 'Length)) (setq drop (+ (/ (* len slope) 12.0) 30)) (setq dfus (getreal "\nEnter DFUS Value : ")) (cond ( (<= dfus 180.0) (setq dia "4")) ( (<= dfus 700.0)(setq dia "6")) ( (<= dfus 1600.0)(setq dia "8")) ( (> dfus 1600.0) (alert "dfus is greater than 1600\nwill now exit") (vl-exit-with-error "")) ) (if (zerop (rem dfus 1.0)) (setq dfust (itoa (fix dfus))) (setq dfust (rtos dfus 4))) (command "qleader" (getpoint "\nPick 1st leader point") (getpoint "\nPick end point") "" 0 (strcat dia (chr 34) " SANITARY SEWER INVERT" "\\P" " @ " (rtos drop 4) " BELOW FINISHED FLOOR 1/8 SLOPE " dfust " DFUS") "" ) ) I am off to bed as I need plenty of beauty sleep. Will try to answer any further questions in the morning.
    1 point
  5. In a basic form try this (defun c:fbl ( / fr ent lyr pea rad ss a ) (setq fr (getvar 'filletrad) ent (car (entsel "\nSelect Object on layer to fillet : ")) lyr (cdr (assoc 8 (entget ent))) ) (cond ( (not (= 1 (getvar 'peditaccept))) (setq pea (getvar 'peditaccept)) (setvar 'peditaccept 1))) (initget 6) (setq rad (cond ( (getreal (strcat "\nEnter Fillet Radius <" (rtos fr) "> : "))) (fr))) (if (/= rad fr) (setvar 'filletrad rad)) (setq ss (ssget (list (cons 8 lyr))) a (ssname ss 0) ) (command "pedit" a "_J" ss "" "") (setq ent (entlast)) (command "fillet" "_P" ent) (command "explode" ent) (if pea (setvar 'peditaccept pea)) (setvar 'filletrad fr) (princ) )
    1 point
×
×
  • Create New...